@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxanium&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kalam&display=swap');

* {
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -o-user-select: none;
}
body,
html {
  color: #dbd0d0;
  background: #2d2e2e;
  font-family: 'OXANIUM';
}

@keyframes mLoadAnim {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-0.5rem);
    }
    100% {
        transform: translateY(0);
    }
}

h4 {
  box-sizing: border-box;
  display: flex;
  border-radius: 10px;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  width: auto;
  position: relative;
  transition: .1s;
  background: #fff;
  margin: 5%;
  padding: 8px;
  font-family: Oxanium;
  /*box-shadow: 3px 3px 3px 0 rgba(0, 0, 0, 0.24), 0 3px 3px 0 rgba(0, 0, 0, 0.19);*/
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

h4:active {
  transform: scale(0.98);
}

.mInfo {
  background-color: #e7f3fe;
  border-left: 6px solid #2196F3;
  margin: 5%;
  padding: 2px;
  font-family: Kalam;
  border-radius: 5px;
  text-align: center;
}
.mButton {
  display: flex;
  margin: 10px;
  padding: 8px 20px;
  border: 1px solid #00f;
  border-radius: 10px;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  max-width: 100%;
  cursor: pointer;
  position: relative;
  transition: 0.1s;
  background: #2d2e2e;
  scale: 0.95;
  z-index: 0;
  overflow-x: auto;        /* Yatay kaydırma */
  white-space: nowrap;     /* Tek satırda tut */
  scrollbar-width: none;   /* Firefox için scroll gizleme */
}

/* Scrollbar’ı gizlemek için (Chrome & Safari) */
.mButton::-webkit-scrollbar {
  display: none;
}
.mButton::after {
  content: "";
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #333;
  left: 0;
  top: 0;
  border-radius: 10px;
}
/* glow */
.mButton::before {
  content: "";
  background: linear-gradient(
    45deg,
    #0400ff, #0000, #0400ff, #0000,
    #0000, #0400ff, #0000, #0400ff
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 600%;
  z-index: -1;
  width: calc(100% + 4px);
  height:  calc(100% + 4px);
  filter: blur(8px);
  animation: glowing 20s linear infinite;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
  opacity: 0;
}

@keyframes glowing {
  0% {background-position: 0 0;}
  50% {background-position: 400% 0;}
  100% {background-position: 0 0;}
}

/* hover */
.mButton:hover::before {
  opacity: 1;
}

.mButton:active:after {
  background: transparent;
}

.mButton:active {
  color: #000;
  font-weight: Kalam;
}

.mSocial {
  display: flex;
  margin: 10px;
  padding: 2px 10px;
  border: 1px solid rgb(25, 0, 255);
  border-radius: 10px;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  width: auto;
  cursor: pointer;
  position: relative;
  transition: .1s;
  background: #2d2e2e;
  scale: 0.95;
  font-family: Oxanium;
  z-index: 0;
}
.mSocial::after {
  content: "";
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #333;
  left: 0;
  top: 0;
  border-radius: 10px;
}
/* glow */
.mSocial::before {
  content: "";
  background: linear-gradient(
    45deg,
    #0400ff, #0000, #0400ff, #0000,
    #0000, #0400ff, #0000, #0400ff
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 600%;
  z-index: -1;
  width: calc(100% + 4px);
  height:  calc(100% + 4px);
  filter: blur(8px);
  animation: glowing 20s linear infinite;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
  opacity: 0;
}

@keyframes glowing {
  0% {background-position: 0 0;}
  50% {background-position: 400% 0;}
  100% {background-position: 0 0;}
}

/* hover */
.mSocial:hover::before {
  opacity: 1;
}

.mSocial:active:after {
  background: transparent;
}

.mSocial:active {
  color: #000;
  font-weight: Kalam;
}

.mButtonx {
  width: 45%;
  padding: 2px 30px;
  border: 1px solid rgb(25, 0, 255);
  border-radius: 10px;
  outline: none;
  text-align: center;
  color: #FFF;
  cursor: pointer;
  font-family: Kalam;
  position: relative;
  z-index: 0;
  margin: 5%;
  margin-top: 0;
}

.mButtonx:active {
  transform: scale(0.98);
}

hr {
  margin-top: 5%;
  margin-bottom: 5%;
}
.mButtonx::after {
  content: "";
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #333;
  left: 0;
  top: 0;
  border-radius: 10px;
}
/* glow */
.mButtonx::before {
  content: "";
  background: linear-gradient(
    45deg,
    #0400ff, #0000, #0400ff, #0000,
    #0000, #0400ff, #0000, #0400ff
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 600%;
  z-index: -1;
  width: calc(100% + 4px);
  height:  calc(100% + 4px);
  filter: blur(8px);
  animation: glowing 20s linear infinite;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
  opacity: 0;
}

@keyframes glowing {
  0% {background-position: 0 0;}
  50% {background-position: 400% 0;}
  100% {background-position: 0 0;}
}

/* hover */
.mButtonx:hover::before {
  opacity: 1;
}

.mButtonx:active:after {
  background: transparent;
}

.mButtonx:active {
  color: #000;
  font-weight: Kalam;
}

hr {
  margin-top: 5%;
  margin-bottom: 5%;
}

.mButton img {
  height: 30px;
  width: 30px;
  padding: 5px;
}

.mSocial img {
  height: 30px;
  width: 30px;
}


.mBtnhold {
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.btn {
  margin: 10px;
  padding: 2px 150px;
  border: 1px solid rgb(25, 0, 255);
  outline: none;
  text-align: centre;
  color: #FFF;
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 15px;
}
.btn::after {
  content: "";
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #484444;
  left: 0;
  top: 0;
  border-radius: 10px;
}
/* glow */
.btn::before {
  content: "";
  background: linear-gradient(
    45deg,
    #0400ff, #0000, #0400ff, #0000,
    #0000, #0400ff, #0000, #0400ff
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 600%;
  z-index: -1;
  width: calc(100% + 4px);
  height:  calc(100% + 4px);
  filter: blur(8px);
  animation: glowing 20s linear infinite;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
  opacity: 0;
}

@keyframes glowing {
  0% {background-position: 0 0;}
  50% {background-position: 400% 0;}
  100% {background-position: 0 0;}
}

/* hover */
.btn:hover::before {
  opacity: 1;
}

.btn:active:after {
  background: transparent;
}

.btn:active {
  color: #000;
  font-weight: bold;
}

.mHolder {
  height: auto;
  width: auto;
  border-radius: 10px;
  background: #484444;
  text-align: center;
  padding: 5px;
  margin: 5%;
  color: #fff;
  animation: mLoadAnim 2s ease-in-out;
  box-shadow: 3px 3px 3px 0 rgba(0, 0, 0, 0.24), 0 3px 3px 0 rgba(0, 0, 0, 0.19);
}

.mHolder .mTitle {
  font-family: Kalam;
  font-size: 30px;
}

.mContainer {
  max-width: 98%;
  margin: auto;
  color: #000;
}

.mTopnav {
  overflow: hidden;
  background-color: #484444;
  border: .5px solid #00f;
  position: relative;
  border-radius: 5px;
}

.mTopnav #mLinks {
  display: none;
}

.mTopnav a {
  background: #484444;
  color: #fff;
  padding: 15px 15px;
  text-decoration: none;
  font-size: 15px;
  display: block;
}

.mTopnav a.mIcon {
  background: #484444;
  border: .5px solid #00f;
  border-radius: 5px;
  display: block;
  position: absolute;
  right: 0;
  top: 0;
}

.mTopnav a:hover {
  background-color: #484444;
  /* color: black; */
}

.mActive {
  background-color: #2d2e2e;
  border-radius: 5px;
  font-family: Montserrat;
  border: .5px solid #00f;
  color: #000;
}

.mFooter {
  padding: 10px 0;
  color: #000;
  text-align: center;
  font-family: Oxanium;
  margin: 5%;
}

.mFooter .mCopyright {
  margin-top: 15px;
  font-size: 13px;
  color: #fff;
  margin-bottom: 0;
}

.mAbout {
  margin-top: 20px;
  font-size: 20px;
  color: #fff;
  margin-bottom: 1;
}
#mToast {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  border: .5px solid #00f;
  background-color: #333;
  color: #fff;
  text-align: center;
  border-radius: 10px;
  padding: 14px;
  position: fixed;
  z-index: 1;
  left: 47%;
  bottom: 30px;
  font-family: Oxanium;
}

#mToast.show {
  visibility: visible;
  -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
  animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@-webkit-keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }

  to {
    bottom: 30px;
    opacity: 1;
  }
}

@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }

  to {
    bottom: 30px;
    opacity: 1;
  }
}

@-webkit-keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }

  to {
    bottom: 0;
    opacity: 0;
  }
}

@keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }

  to {
    bottom: 0;
    opacity: 0;
  }
}

.mMarque {
  background-image: linear-gradient(to right, #020000, #00f);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: mRgb 303s linear infinite
}

@keyframes mRgb {
  to {
    background-position: 4500vh
  }
}
/*bitti@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxanium&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kalam&display=swap');

* {
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -o-user-select: none;
}
body,
html {
  color: #dbd0d0;
  background: #2d2e2e;
  font-family: 'OXANIUM';
}

@keyframes mLoadAnim {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-0.5rem);
    }
    100% {
        transform: translateY(0);
    }
}

h4 {
  box-sizing: border-box;
  display: flex;
  border-radius: 10px;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  width: auto;
  position: relative;
  transition: .1s;
  background: #fff;
  margin: 5%;
  padding: 8px;
  font-family: Oxanium;
  /*box-shadow: 3px 3px 3px 0 rgba(0, 0, 0, 0.24), 0 3px 3px 0 rgba(0, 0, 0, 0.19);*/
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

h4:active {
  transform: scale(0.98);
}

.mInfo {
  background-color: #e7f3fe;
  border-left: 6px solid #2196F3;
  margin: 5%;
  padding: 2px;
  font-family: Kalam;
  border-radius: 5px;
  text-align: center;
}
.mButton {
  display: flex;
  margin: 10px;
  padding: 8px 20px;
  border: 1px solid #00f;
  border-radius: 10px;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  max-width: 100%;
  cursor: pointer;
  position: relative;
  transition: 0.1s;
  background: #2d2e2e;
  scale: 0.95;
  z-index: 0;
  overflow-x: auto;        /* Yatay kaydırma */
  white-space: nowrap;     /* Tek satırda tut */
  scrollbar-width: none;   /* Firefox için scroll gizleme */
}

/* Scrollbar’ı gizlemek için (Chrome & Safari) */
.mButton::-webkit-scrollbar {
  display: none;
}
.mButton::after {
  content: "";
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #333;
  left: 0;
  top: 0;
  border-radius: 10px;
}
/* glow */
.mButton::before {
  content: "";
  background: linear-gradient(
    45deg,
    #0400ff, #0000, #0400ff, #0000,
    #0000, #0400ff, #0000, #0400ff
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 600%;
  z-index: -1;
  width: calc(100% + 4px);
  height:  calc(100% + 4px);
  filter: blur(8px);
  animation: glowing 20s linear infinite;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
  opacity: 0;
}

@keyframes glowing {
  0% {background-position: 0 0;}
  50% {background-position: 400% 0;}
  100% {background-position: 0 0;}
}

/* hover */
.mButton:hover::before {
  opacity: 1;
}

.mButton:active:after {
  background: transparent;
}

.mButton:active {
  color: #000;
  font-weight: Kalam;
}

.mSocial {
  display: flex;
  margin: 10px;
  padding: 2px 10px;
  border: 1px solid rgb(25, 0, 255);
  border-radius: 10px;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  width: auto;
  cursor: pointer;
  position: relative;
  transition: .1s;
  background: #2d2e2e;
  scale: 0.95;
  font-family: Oxanium;
  z-index: 0;
}
.mSocial::after {
  content: "";
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #333;
  left: 0;
  top: 0;
  border-radius: 10px;
}
/* glow */
.mSocial::before {
  content: "";
  background: linear-gradient(
    45deg,
    #0400ff, #0000, #0400ff, #0000,
    #0000, #0400ff, #0000, #0400ff
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 600%;
  z-index: -1;
  width: calc(100% + 4px);
  height:  calc(100% + 4px);
  filter: blur(8px);
  animation: glowing 20s linear infinite;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
  opacity: 0;
}

@keyframes glowing {
  0% {background-position: 0 0;}
  50% {background-position: 400% 0;}
  100% {background-position: 0 0;}
}

/* hover */
.mSocial:hover::before {
  opacity: 1;
}

.mSocial:active:after {
  background: transparent;
}

.mSocial:active {
  color: #000;
  font-weight: Kalam;
}

.mButtonx {
  width: 45%;
  padding: 2px 30px;
  border: 1px solid rgb(25, 0, 255);
  border-radius: 10px;
  outline: none;
  text-align: center;
  color: #FFF;
  cursor: pointer;
  font-family: Kalam;
  position: relative;
  z-index: 0;
  margin: 5%;
  margin-top: 0;
}

.mButtonx:active {
  transform: scale(0.98);
}

hr {
  margin-top: 5%;
  margin-bottom: 5%;
}
.mButtonx::after {
  content: "";
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #333;
  left: 0;
  top: 0;
  border-radius: 10px;
}
/* glow */
.mButtonx::before {
  content: "";
  background: linear-gradient(
    45deg,
    #0400ff, #0000, #0400ff, #0000,
    #0000, #0400ff, #0000, #0400ff
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 600%;
  z-index: -1;
  width: calc(100% + 4px);
  height:  calc(100% + 4px);
  filter: blur(8px);
  animation: glowing 20s linear infinite;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
  opacity: 0;
}

@keyframes glowing {
  0% {background-position: 0 0;}
  50% {background-position: 400% 0;}
  100% {background-position: 0 0;}
}

/* hover */
.mButtonx:hover::before {
  opacity: 1;
}

.mButtonx:active:after {
  background: transparent;
}

.mButtonx:active {
  color: #000;
  font-weight: Kalam;
}

hr {
  margin-top: 5%;
  margin-bottom: 5%;
}

.mButton img {
  height: 30px;
  width: 30px;
  padding: 5px;
}

.mSocial img {
  height: 30px;
  width: 30px;
}


.mBtnhold {
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.btn {
  margin: 10px;
  padding: 2px 150px;
  border: 1px solid rgb(25, 0, 255);
  outline: none;
  text-align: centre;
  color: #FFF;
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 15px;
}
.btn::after {
  content: "";
  z-index: -1;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #484444;
  left: 0;
  top: 0;
  border-radius: 10px;
}
/* glow */
.btn::before {
  content: "";
  background: linear-gradient(
    45deg,
    #0400ff, #0000, #0400ff, #0000,
    #0000, #0400ff, #0000, #0400ff
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 600%;
  z-index: -1;
  width: calc(100% + 4px);
  height:  calc(100% + 4px);
  filter: blur(8px);
  animation: glowing 20s linear infinite;
  transition: opacity .3s ease-in-out;
  border-radius: 10px;
  opacity: 0;
}

@keyframes glowing {
  0% {background-position: 0 0;}
  50% {background-position: 400% 0;}
  100% {background-position: 0 0;}
}

/* hover */
.btn:hover::before {
  opacity: 1;
}

.btn:active:after {
  background: transparent;
}

.btn:active {
  color: #000;
  font-weight: bold;
}

.mHolder {
  height: auto;
  width: auto;
  border-radius: 10px;
  background: #484444;
  text-align: center;
  padding: 5px;
  margin: 5%;
  color: #fff;
  animation: mLoadAnim 2s ease-in-out;
  box-shadow: 3px 3px 3px 0 rgba(0, 0, 0, 0.24), 0 3px 3px 0 rgba(0, 0, 0, 0.19);
}

.mHolder .mTitle {
  font-family: Kalam;
  font-size: 30px;
}

.mContainer {
  max-width: 98%;
  margin: auto;
  color: #000;
}

.mTopnav {
  overflow: hidden;
  background-color: #484444;
  border: .5px solid #00f;
  position: relative;
  border-radius: 5px;
}

.mTopnav #mLinks {
  display: none;
}

.mTopnav a {
  background: #484444;
  color: #fff;
  padding: 15px 15px;
  text-decoration: none;
  font-size: 15px;
  display: block;
}

.mTopnav a.mIcon {
  background: #484444;
  border: .5px solid #00f;
  border-radius: 5px;
  display: block;
  position: absolute;
  right: 0;
  top: 0;
}

.mTopnav a:hover {
  background-color: #484444;
  /* color: black; */
}

.mActive {
  background-color: #2d2e2e;
  border-radius: 5px;
  font-family: Montserrat;
  border: .5px solid #00f;
  color: #000;
}

.mFooter {
  padding: 10px 0;
  color: #000;
  text-align: center;
  font-family: Oxanium;
  margin: 5%;
}

.mFooter .mCopyright {
  margin-top: 15px;
  font-size: 13px;
  color: #fff;
  margin-bottom: 0;
}

.mAbout {
  margin-top: 20px;
  font-size: 20px;
  color: #fff;
  margin-bottom: 1;
}
#mToast {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  border: .5px solid #00f;
  background-color: #333;
  color: #fff;
  text-align: center;
  border-radius: 10px;
  padding: 14px;
  position: fixed;
  z-index: 1;
  left: 47%;
  bottom: 30px;
  font-family: Oxanium;
}

#mToast.show {
  visibility: visible;
  -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
  animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@-webkit-keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }

  to {
    bottom: 30px;
    opacity: 1;
  }
}

@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }

  to {
    bottom: 30px;
    opacity: 1;
  }
}

@-webkit-keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }

  to {
    bottom: 0;
    opacity: 0;
  }
}

@keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }

  to {
    bottom: 0;
    opacity: 0;
  }
}

.mMarque {
  background-image: linear-gradient(to right, #020000, #00f);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: mRgb 303s linear infinite
}

@keyframes mRgb {
  to {
    background-position: 4500vh
  }
}
/*bitti